# Reference

<table><thead><tr><th width="269">Name</th><th>Description</th></tr></thead><tbody><tr><td><a href="#v2.conversation.pushed">v2.conversation.pushed</a></td><td>Emitted on a beginning of a conversation or a receiving of a conversation transferred by another operator.</td></tr><tr><td><a href="#v2.conversation.closed">v2.conversation.closed</a></td><td>Emitted on an end of a conversation. Conversations on offsite channels are automatically closed after 7 days of inactivity.</td></tr><tr><td><a href="#user.created">user.created</a></td><td>Emitted on user creation in administration or API Rest.</td></tr><tr><td><a href="#user.updated">user.updated</a></td><td>Emitted on user update in administration or API Rest.</td></tr><tr><td><a href="#user.connected">user.connected</a></td><td>Emitted when user is connecting to administration or desk.</td></tr><tr><td><a href="#user.disconnected">user.disconnected</a></td><td>Emitted when user is disconnecting of administration or desk.</td></tr><tr><td><a href="#visitor.updated">visitor.updated</a></td><td>Emitted when a visitor information is updated from desk or admin view.</td></tr><tr><td><a href="#satisfaction.answered">satisfaction.answered</a></td><td>Emitted when visitor has answered a customer satisfaction, net promoter score, satisfaction comment or custom question.<br>Will be emitted at every click on answer by visitor.</td></tr><tr><td><a href="#transaction.attributed">transaction.attributed</a></td><td>Emitted when a transaction is attributed to a conversation.</td></tr></tbody></table>

## `v2.conversation.pushed` <a href="#v2.conversation.pushed" id="v2.conversation.pushed"></a>

Emitted on a beginning of a conversation or a receiving of a conversation transferred by another operator.

```
{
  "eventId": "0f0bb3af-5035-4ba3-b3fb-ff4879a3a74d",
  "eventType": "v2.conversation.pushed",
  "platform": "ha",
  "projectId": 1,
  "clientId": 335,
  "conversationId": "4c8c7408-f73c-42cd-89e9-afbbee7d9024",
  "operatorId": 1,
  "visitorExternalId": "63429889", // deprecated. Only available for ONSITE conversations. Use `visitorId` field instead.
  "channel": "CHAT",
  "visitorId": "b05f1b45-c891-4a9c-b47e-91ee6c8ffb44",
  "createdAt": "2019-04-12T07:58:35.171Z",
  "sentAt": "2019-04-12T07:58:35.496Z"
}
```

Please note :

| Attribute | Description                                                                                                                                                                                                                                      |
| --------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| channel   | <p>For onsite source :<br>-<code>CHAT</code><br>-<code>CALL</code><br>-<code>VIDEO</code><br><br>For offsite:<br>-<code>FACEBOOK</code><br>-<code>FACEBOOK\_BUSINESS\_ON\_MESSENGER</code><br>-<code>MOBILE\_APP</code><br>-<code>SMS</code></p> |

## `v2.conversation.closed` <a href="#v2.conversation.closed" id="v2.conversation.closed"></a>

Emitted on an end of a conversation. Conversations on offsite channels are automatically closed after 7 days of inactivity.

```
{
  "eventId": "0f0bb3af-5035-4ba3-b3fb-ff4879a3a74d",
  "eventType": "v2.conversation.closed",
  "platform": "ha",
  "projectId": 1,
  "clientId": 1,
  "conversationId": "4c8c7408-f73c-42cd-89e9-afbbee7d9024",
  "operatorIds": [
    1,
    2
   ],
  "visitorExternalId": "63429889", // deprecated. Only available for ONSITE conversations. Use `visitorId` field instead.
  "channel": "CHAT",
  "visitorId": "b05f1b45-c891-4a9c-b47e-91ee6c8ffb44",
  "createdAt": "2019-04-12T07:58:35.171Z",
  "sentAt": "2019-04-12T07:58:35.496Z"
}
```

Please note :

| Attribute | Description                                                                                                                                                                                                                                      |
| --------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| channel   | <p>For onsite source :<br>-<code>CHAT</code><br>-<code>CALL</code><br>-<code>VIDEO</code><br><br>For offsite:<br>-<code>FACEBOOK</code><br>-<code>FACEBOOK\_BUSINESS\_ON\_MESSENGER</code><br>-<code>MOBILE\_APP</code><br>-<code>SMS</code></p> |

## `user.created` <a href="#user.created" id="user.created"></a>

Emitted on user creation in administration or API Rest.

```
{
    "eventId": "d36cd3c4-2d16-4a77-97c2-620bde859b29",
    "eventType": "user.created",
    "platform": "sd",
    "clientId": 1,
    "userId": 1,
    "createdAt": "2017-04-22T11:01:00+02:00",
    "sentAt": "2017-04-22T11:01:00+02:00"
}
```

## `user.updated` <a href="#user.updated" id="user.updated"></a>

Emitted on user update in administration or API Rest.

```
{
    "eventId": "d36cd3c4-2d16-4a77-97c2-620bde859b29",
    "eventType": "user.updated",
    "platform": "sd",
    "clientId": 1,
    "userId": 1,
    "createdAt": "2017-04-22T11:01:00+02:00",
    "sentAt": "2017-04-22T11:01:00+02:00"
}
```

## `user.connected` <a href="#user.connected" id="user.connected"></a>

Emitted when user is connecting to administration or desk.

```
{
    "eventId": "d36cd3c4-2d16-4a77-97c2-620bde859b29",
    "eventType": "user.connected",
    "platform": "sd",
    "clientId": 1,
    "userId": 1,
    "createdAt": "2017-04-22T11:01:00+02:00",
    "sentAt": "2017-04-22T11:01:00+02:00"
}
```

## `user.disconnected` <a href="#user.disconnected" id="user.disconnected"></a>

Emitted when user is disconnecting to administration or desk.

```
{
    "eventId": "d36cd3c4-2d16-4a77-97c2-620bde859b29",
    "eventType": "user.disconnected",
    "platform": "sd",
    "clientId": 1,
    "userId": 1,
    "createdAt": "2017-04-22T11:01:00+02:00",
    "sentAt": "2017-04-22T11:01:00+02:00"
}
```

## `visitor.updated` <a href="#visitor.updated" id="visitor.updated"></a>

Emitted when a visitor information is updated from desk or admin view.

```
{
    "eventId": "d36cd3c4-2d16-4a77-97c2-620bde859b29",
    "eventType": "visitor.updated",
    "platform": "sd",
    "clientId": 1,
    "operatorId": 1,
    "visitorId": "593de0891b628a50b09835dc6c0e92565329c74baa90e",
    "createdAt": "2017-04-22T11:01:00+02:00",
    "sentAt": "2017-04-22T11:01:00+02:00"
}
```

## `satisfaction.answered` <a href="#satisfaction.answered" id="satisfaction.answered"></a>

Emitted when visitor has answered a customer satisfaction, net promoter score, satisfaction comment or custom question. Will be emitted at every click on an answer by the visitor.

***Example with\*\*\*\*****&#x20;****`customerSatisfaction`****&#x20;****\*\*\*\*filled***

```
{
    "eventId": "d36cd3c4-2d16-4a77-97c2-620bde859b29",
    "eventType": "satisfaction.answered",
    "platform": "sd",
    "projectId": 1,
    "clientId": 1,
    "createdAt": "2017-04-22T11:01:00+02:00",
    "sentAt": "2017-04-22T11:01:00+02:00",
    "conversationId": "2d90a8a2-16df-45f5-897e-31adf9aa165d",
    "customerSatisfaction" : 3
}
```

***Example with\*\*\*\*****&#x20;****`netPromoterScore`****&#x20;****\*\*\*\*filled***

```
{
    "eventId": "d36cd3c4-2d16-4a77-97c2-620bde859b29",
    "eventType": "satisfaction.answered",
    "platform": "sd",
    "projectId": 1,
    "clientId": 1,
    "createdAt": "2017-04-22T11:01:00+02:00",
    "sentAt": "2017-04-22T11:01:00+02:00",
    "conversationId": "2d90a8a2-16df-45f5-897e-31adf9aa165d",
    "netPromoterScore" : 3
}
```

***Example with\*\*\*\*****&#x20;****`satisfactionComment`****&#x20;****\*\*\*\*filled***

```
{
    "eventId": "d36cd3c4-2d16-4a77-97c2-620bde859b29",
    "eventType": "satisfaction.answered",
    "platform": "sd",
    "projectId": 1,
    "clientId": 1,
    "createdAt": "2017-04-22T11:01:00+02:00",
    "sentAt": "2017-04-22T11:01:00+02:00",
    "conversationId": "2d90a8a2-16df-45f5-897e-31adf9aa165d",
    "satisfactionComment" : "It was very helpful"
}
```

***Example with\*\*\*\*****&#x20;****`customQuestion`****&#x20;****\*\*\*\*filled***

```
{
    "eventId": "d36cd3c4-2d16-4a77-97c2-620bde859b29",
    "eventType": "satisfaction.answered",
    "platform": "sd",
    "projectId": 1,
    "clientId": 1,
    "createdAt": "2017-04-22T11:01:00+02:00",
    "sentAt": "2017-04-22T11:01:00+02:00",
    "conversationId": "2d90a8a2-16df-45f5-897e-31adf9aa165d",
    "customQuestion" : true
}
```

## `transaction.attributed` <a href="#transaction.attributed" id="transaction.attributed"></a>

Emit when a transaction is attributed to a conversation.

```
{
    "eventId": "d36cd3c4-2d16-4a77-97c2-620bde859b29",
    "eventType": "transaction.attributed",
    "platform": "sd",
    "projectId": 1,
    "clientId": 1,
    "createdAt": "2017-04-22T11:01:00+02:00",
    "sentAt": "2017-04-22T11:01:00+02:00",
    "transactionId": "1d94c3e8-8cbe-4e46-933d-0433ec339f79",
    "receivedAt": "2017-04-22T11:01:00+02:00",
    "externalId": "transaction-1",
    "amount": 300.20,
    "conversationId": "2d90a8a2-16df-45f5-897e-31adf9aa165d",
    "source": "Onsite",
    "operatorId": 1
}
```

| Attribute | Description                                                                                                                                                                                       |
| --------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| source    | <p><code>Onsite</code> for channels :<br>- CHAT<br>- CALL<br>- VIDEO<br><br><code>Offsite</code> for channels:<br>- FACEBOOK<br>- FACEBOOK\_BUSINESS\_ON\_MESSENGER<br>- MOBILE\_APP<br>- SMS</p> |

## &#x20;<a href="#deprecated-events" id="deprecated-events"></a>

## Deprecated events (legacy) <a href="#deprecated-events" id="deprecated-events"></a>

{% hint style="danger" %} <mark style="color:red;">The following events should not be used anymore, they still appear in this documentation for historical purposes only!</mark>
{% endhint %}

### **`conversation.started`**

{% hint style="danger" %} <mark style="color:red;">PLEASE DO NOT USE (refer to the warning above).</mark>
{% endhint %}

```
{
    "eventId": "d36cd3c4-2d16-4a77-97c2-620bde859b29",
    "eventType": "conversation.started",
    "platform": "sd",
    "websiteId": 1,
    "clientId": 1,
    "conversationId": 1,
    "operatorId": 1,
    "channel": "chat",
    "visitorId": "593de0891b628a50b09835dc6c0e92565329c74baa90e",
    "createdAt": "2017-04-22T11:01:00+02:00",
    "sentAt": "2017-04-22T11:01:00+02:00"
}
```

### **`conversation.transferred`**

{% hint style="danger" %} <mark style="color:red;">PLEASE DO NOT USE (refer to the warning above).</mark>
{% endhint %}

```
{
    "eventId": "d36cd3c4-2d16-4a77-97c2-620bde859b29",
    "eventType": "conversation.transferred",
    "platform": "sd",
    "websiteId": 1,
    "clientId": 1,
    "conversationId": 2,
    "transferredConversationId": 1,
    "operatorId": 1,
    "channel": "chat",
    "visitorId": "593de0891b628a50b09835dc6c0e92565329c74baa90e",
    "createdAt": "2017-04-22T11:01:00+02:00",
    "sentAt": "2017-04-22T11:01:00+02:00"
}
```

### **`conversation.closed`**

{% hint style="danger" %} <mark style="color:red;">PLEASE DO NOT USE (refer to the warning above).</mark>
{% endhint %}

```
{
    "eventId": "d36cd3c4-2d16-4a77-97c2-620bde859b29",
    "eventType": "conversation.closed",
    "platform": "sd",
    "websiteId": 1,
    "clientId": 1,
    "conversationId": 1,
    "operatorId": 1,
    "channel": "chat",
    "visitorId": "593de0891b628a50b09835dc6c0e92565329c74baa90e",
    "createdAt": "2017-04-22T11:01:00+02:00",
    "sentAt": "2017-04-22T11:01:00+02:00"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iadvize.dev/technologies/webhooks/reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
